﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.MVC.EJ;
using Syncfusion.JavaScript.DataVisualization.Models;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            //Controller
            List<ChartData> data = new List<ChartData>();

            data.Add(new ChartData("x1", 28, "blue"));
            data.Add(new ChartData("x2", 25, "lightgreen"));
            data.Add(new ChartData("x3", 26, "gray"));
            data.Add(new ChartData("x4", 27, "lightblue"));
            data.Add(new ChartData("x5", 32, "pink"));
            data.Add(new ChartData("x6", 38, "orange"));
            ViewBag.dataSource = data;

            return View();
        }
        
        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
    public class ChartData
    {
        public ChartData(string xval, double yvalue1, string yvalue2)
        {
            this.Department = xval;
            this.Sales = yvalue1;
            this.Color = yvalue2;
           
        }
        public string Department
        {
            get;
            set;
        }
        public double Sales
        {
            get;
            set;
        }
        public string Color
        {
            get;
            set;
        }
    }
}
